#
# spec file for package ddd (Version 3.0)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp mmcore mmbase mmslib xpm

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         ddd
Release:      1
Copyright:    1995-98 Technische Universitaet Braunschweig, Germany.
Group: 
Provides:     ddd 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      3.0
Summary:      Debugger with graphical user interface
Source: ddd-3.0.tar.gz
Patch: ddd-3.0.dif
%description
The DDD debugger (Data Display Debugger) is a comfortable GUI to the
well-known debuggers GDB and DBX. Data structures can be represented as
graphs and interactively shown. You can debug programs in C, C++,
Pascal, MODULA-2, FORTRAN and ADA, and even at the assembler code level!

Authors:
--------
    Andreas Zeller <zeller@ips.cs.tu-bs.de>
    Dorothea Luetkehaus <luetke@ips.cs.tu-bs.de>

%prep
%setup
%patch
%build
test -x /usr/sbin/switch_motif_linking && \
  /usr/sbin/switch_motif_linking dynamic
make -f Makefile.Linux compile
cp ddd/ddd ddd.SuSE-dynamic
(cd ddd && make clean)
test -x /usr/sbin/switch_motif_linking && \
  /usr/sbin/switch_motif_linking static
make -f Makefile.Linux compile
%install
make -f Makefile.Linux install
mv /usr/bin/ddd /usr/bin/ddd.SuSE-static
install -s ddd.SuSE-dynamic /usr/bin
ln -sf ddd.SuSE-static /usr/bin/ddd
Check
%files
%dir /usr/X11R6/lib/X11/app-defaults
%docdir /usr/doc/packages/ddd
%config /usr/X11R6/lib/X11/app-defaults/Ddd
/usr/doc/packages/ddd
/usr/bin/ddd
/usr/bin/ddd.SuSE-dynamic
/usr/bin/ddd.SuSE-static
%doc /usr/man/man1/ddd.1.gz

